
public class Kasse{
    // Attribute
    private Kunde[] Kundeschlange; // Die Kunden, die an einer Kasse stehen.
    private int maxKundenZahl = 20;
    private int aktKundenZahl;
    // Konstruktor
    public Kasse(){
        Kundeschlange = new Kunde[maxKundenZahl];
        aktKundenZahl=0;
        for (int i=0; i<maxKundenZahl; i++) {
            Kundeschlange[i]=null;
        }
    }

    // Dienste
    public Boolean anDieKasse(Kunde neuerKunde) {
        Boolean erg=false;
        if (aktKundenZahl<maxKundenZahl) {
               Kundeschlange[aktKundenZahl]=neuerKunde;
               aktKundenZahl++;
               erg = true;
        }
        return erg;
    }

    public void fertigKassiert() {
        for (int i=1; i<aktKundenZahl; i++) {
            //Alle um 1 nach vorne schieben
            Kundeschlange[i-1]=Kundeschlange[i]; 
        }
        //Ehemals letzten Kunden lschen
        Kundeschlange[aktKundenZahl]=null; 
        //Kundezahl um 1 verringern
        aktKundenZahl--;
    }

    public void printSchlangeAusgeben() {
        for (int i=0; i<aktKundenZahl; i++) {
            System.out.println(Kundeschlange[i].getName());
            System.out.println(Kundeschlange[i].alleArtikel());
        }
    }
}
